EZ_OptionalEntryClearOptions(3)

NAME
EZ_OptionalEntryClearOptions, EZ_OptionalEntryAppendOption, EZ_OptionalEntryInsertOption, EZ_OptionalEntryDeleteOption - manipulate optional entry option list

SYNOPSIS
#include <EZ.h>

void  EZ_OptionalEntryClearOptions( EZ_Widget *oentry)
void  EZ_SetOptionalEntryOptions( EZ_Widget *oentry, char **items, int *nitems)
void  EZ_OptionalEntryAppendOption(EZ_Widget *oentry, char *str);
void  EZ_OptionalEntryInsertOption(EZ_Widget *oentry",char*"str, int idx)
void  EZ_OptionalEntryDeleteOption(EZ_Widget *widget, char *str)

ARGUMENTS
oentry Specifies an optional entry widget.

items Specifies a array of string items.

nitems Specifies the number of items.

str Specifies one item.

idx Specifies an index.

DESCRIPTION

EZ_OptionalEntryClearOptions clears the list of options of an optional entry.

EZ_SetOptionalEntryOptions sets the list of options for an optional entry.

EZ_OptionalEntryAppendOption appends an item at the end of the option list.

EZ_OptionalEntryInsertOption inserts an item at the specified position.

EZ_OptionalEntryDeleteOption deletes the specified item from the option list.

SEE ALSO
EZ_SetEntryString(3), EZ_GetEntryString(3)